//
// canola - canon canola 1614p emulator
// Copyright (C) 2012 Peter Miller
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License, version 3, as
// published by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program. If not, see <http://www.gnu.org/licenses/>.
//

#include <canola/calculator/gnome.h>
#include <canola/dialog/preferences.h>
#include <canola/load_image.h>


dialog_preferences::~dialog_preferences()
{
}


dialog_preferences::dialog_preferences(calculator_gnome *a_subject) :
    Dialog("Preferences", *a_subject, true),
    subject(a_subject),
    animate_card_reader("Animate card reader"),
    strict_memory_numbers("Strict memory number-key checking")
{
    set_icon(load_gui_image("canola"));
    layout.pack_start(animate_card_reader);
    layout.pack_start(strict_memory_numbers);
    get_content_area()->add(layout);
    add_button(Gtk::Stock::OK, Gtk::RESPONSE_OK);
    add_button(Gtk::Stock::CANCEL, Gtk::RESPONSE_CANCEL);
    show_all_children();
}


void
dialog_preferences::set_animate_card_reader(bool value)
{
    animate_card_reader.set_active(value);
}


bool
dialog_preferences::get_animate_card_reader(void)
{
    return animate_card_reader.get_active();
}


void
dialog_preferences::set_strict_memory_numbers(bool value)
{
    strict_memory_numbers.set_active(value);
}


bool
dialog_preferences::get_strict_memory_numbers(void)
{
    return strict_memory_numbers.get_active();
}


// vim: set ts=8 sw=4 et :
