//
// canola - canon canola 1614p emulator
// Copyright (C) 2011, 2012 Peter Miller
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License, version 3, as
// published by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program. If not, see <http://www.gnu.org/licenses/>.
//

#include <canola/calculator/gnome.h>
#include <canola/dialog/prog_mode.h>
#include <canola/load_image.h>


dialog_prog_mode::~dialog_prog_mode()
{
}


dialog_prog_mode::dialog_prog_mode(calculator_gnome *a_subject) :
    Dialog("Program Mode", *a_subject, true),
    subject(a_subject)
{
    set_icon(load_gui_image("canola"));

    std::string text = "You are reading program cards, but the Program Mode "
        "selector is in the ";
    text += calculator::program_mode_name(subject->program_mode_get());
    text += " position.  Please confirm the correct Program Mode selection.";
    message.set_text(text);
    message.set_line_wrap(true);
    get_content_area()->add(message);
    message.show();

    add_button("LRN", calculator::program_mode_learn);
    add_button("OPE", calculator::program_mode_operation);
    add_button("PRO\nCHE", calculator::program_mode_program_check);
    add_button("OPE\nCHE", calculator::program_mode_operation_check);
    set_default_response(calculator::program_mode_learn);
}


void
dialog_prog_mode::on_response(int id)
{
    subject->program_mode_set_from_dialog(id);
}
