//
// canola - canon canola 1614p emulator
// Copyright (C) 2011 Peter Miller
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License, version 3, as
// published by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program. If not, see <http://www.gnu.org/licenses/>.
//

#ifndef CANOLA_DIALOG_SPECIAL_KEY_SYMBOL_H
#define CANOLA_DIALOG_SPECIAL_KEY_SYMBOL_H

#include <gtkmm/dialog.h>
#include <gtkmm/label.h>

class calculator_gnome; // forward

/**
  * The dialog_special_key_symbol class is used to represent the UI that
  * allows the user to insert special key symbols.  The original 1614P
  * allowed you to "chord" keys on the keyboard, but emulator can't, so
  * we have this dialog instead.
  */
class dialog_special_key_symbol:
    public Gtk::Dialog
{
public:
    /**
      * The destructor.
      */
    virtual ~dialog_special_key_symbol();

    /**
      * The constructor.
      */
    dialog_special_key_symbol(calculator_gnome *subject);

private:
    calculator_gnome *subject;
    Gtk::Label message;
    Gtk::Table opcodes;
    Gtk::Button buttons[128];

    /**
      * The default constructor.
      * Do not use.
      */
    dialog_special_key_symbol();

    /**
      * The copy constructor.
      * Do not use.
      *
      * @param rhs
      *     The right hand side of the initialization.
      */
    dialog_special_key_symbol(const dialog_special_key_symbol &rhs);

    /**
      * The assignment operator.
      * Do not use.
      *
      * @param rhs
      *     The right hand side of the assignment.
      */
    dialog_special_key_symbol &operator=(const dialog_special_key_symbol &rhs);
};

#endif // CANOLA_DIALOG_SPECIAL_KEY_SYMBOL_H
