//
// canola - canon canola 1614p emulator
// Copyright (C) 2012 Peter Miller
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License, version 3, as
// published by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program. If not, see <http://www.gnu.org/licenses/>.
//

#include <lib/config.h>
#include <map>

#include <canola/gui_search_path.h>
#include <canola/load_image.h>


typedef std::map<std::string, img_ptr_t> cache_t;
static cache_t cache;


img_ptr_t
load_gui_image(const std::string &filename)
{
    std::string path = filename + ".png";
    cache_t::const_iterator it = cache.find(path);
    if (it != cache.end())
        return it->second;

    std::string fn2 = gui_search_path.find(path);
    img_ptr_t img = Gdk::Pixbuf::create_from_file(fn2);
    cache[filename] = img;
    return img;
}


Gdk::RGBA custom_widget_background("#cccccc");
