//
// canola - canon canola 1614p emulator
// Copyright (C) 2012 Peter Miller
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License, version 3, as
// published by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program. If not, see <http://www.gnu.org/licenses/>.
//

#ifndef CANOLA_LOAD_IMAGE_H
#define CANOLA_LOAD_IMAGE_H

#include <lib/config.h>
#include <gtkmm.h>


typedef Glib::RefPtr<Gdk::Pixbuf> img_ptr_t;

/**
  * The load_gui_image function is used to obtaina  pointer to an
  * image from the $(datadir)/gui directory.
  *
  * @param filename
  *     The name of the image to load.  Do not add a "gui/" prefix.  Do
  *     not add a ".png" suffix.
  */
img_ptr_t load_gui_image(const std::string &filename);

extern Gdk::RGBA custom_widget_background;


#endif // CANOLA_LOAD_IMAGE_H
