//
// canola - canon canola 1614p emulator
// Copyright (C) 2011, 2012 Peter Miller
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License, version 3, as
// published by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program. If not, see <http://www.gnu.org/licenses/>.
//

#include <canola/message_dialog/error.h>
#include <canola/load_image.h>


message_dialog_error::~message_dialog_error()
{
}


message_dialog_error::message_dialog_error(Gtk::Window &w) :
    Gtk::MessageDialog(w, "Something went wrong")
{
    set_icon(load_gui_image("canola"));
}


void
message_dialog_error::add_text(const std::string &msg)
{
    if (text.empty())
        text = msg;
    else
        text += "\n" + msg;
    set_secondary_text(text);
    show();
}


void
message_dialog_error::on_response(int)
{
    hide();
    text.clear();
    set_secondary_text(text);
}
