//
// canola - canon canola 1614p emulator
// Copyright (C) 2012 Peter Miller
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License, version 3, as
// published by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program. If not, see <http://www.gnu.org/licenses/>.
//

#ifndef CANOLA_SLIDER_POWER_H
#define CANOLA_SLIDER_POWER_H

#include <canola/slider.h>

/**
  * The slider_power class is used to represent the Power Switch
  * on the Canola's keyboard.
  */
class slider_power:
    public slider
{
public:
    /**
      * The destructor.
      */
    virtual ~slider_power();

    /**
      * The default constructor.
      */
    slider_power();

private:
    /**
      * The copy constructor.
      * Do not use.
      *
      * @param rhs
      *     The right hand side of the initialization.
      */
    slider_power(const slider_power&rhs);

    /**
      * The assignment operator.
      * Do not use.
      *
      * @param rhs
      *     The right hand side of the assignment.
      */
    slider_power &operator=(const slider_power &rhs);
};

#endif // CANOLA_SLIDER_POWER_H
