.\"
.\" canola - canon canola 1614p emulator
.\" Copyright (C) 2011 Peter Miller
.\"
.\" This program is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License, version 3, as
.\" published by the Free Software Foundation.
.\"
.\" This program is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
.\" General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License along
.\" with this program. If not, see <http://www.gnu.org/licenses/>.
.\"
.TH "Read Me" Canola Canola "Reference Manual"
.so etc/version.so
.XX "" "README"
.SH DESCRIPTION
The \f[I]canola\fP(1) command is used emulate a Canon Canola 1614P,
a programmable desktop calculator from 1972.
It had 14 floating point memories, and 240 instructions of program.
A few still survive today in working condition.
.SH DEPENDENCIES
The following libraries are required to build the Canola project:
.TP 8n
g++
You will need a C++ compiler.
The GNU C++ compiler is what the author uses.
.TP 8n
groff
The documentation is formatted using GNU Groff.
.TP 8n
Boost Library
This is used for several useful C++ classes and templates.
This is usually called \[lq]\f[CW]libboost\-dev\fP\[rq] or similar on
package based systems.
.TP 8n
libexplain
This is used for all error reporting, when operating system errors occur.
This is usually called \[lq]\f[CW]libexplain\-dev\fP\[rq] or similar on
package based systems.
.TP 8n
Gtkmm\[hy]3.0
The C++ binding of the Gnome\[hy]3 widget library is used.
Note that this library tends to have numerous dependencies.
This is usually called \[lq]\f[CW]libgtkmm\-3.0\-dev\fP\[rq] or similar
on package based systems.
.TP 8n
libjpg
This is used to read the JPEG images that are used to build the various custom
button and widgets.
This is usually called \[lq]\f[CW]libjpg62\-dev\fP\[rq] or similar on
package based systems.
.TP 8n
libpng
This is used to read the PNG images that are used to build the various custom
button and widgets.
This is usually called \[lq]\f[CW]libpng12\-dev\fP\[rq] or similar on
package based systems.
.TP
sharutils
This provides the \f[I]uudecode\fP(1) command, used to turn
\f[CW].uue\fP source files into binary files during the build.
.SH BUILDING
This is traditional open source software, and the usual build method
applies.  After fetching the tarball, do the following:
.PP
.RS
.nf
.ft CW
$ \f[CB]tar xzf canola\-\*(v).tar.gz\fP
$ \f[CB]cd canola\-\*(v)\fP
$ \f[CB]./configure \-\-prefix=/usr\fP
$ \f[CB]make\fP
$
.ft R
.fi
.RE
.PP
The software includes a test suite:
.PP
.PP
.RS
.nf
.ft CW
$ \f[CB]make sure\fP
Passed all tests.
$
.ft R
.fi
.RE
.PP
If you wish to install the software, only one more command is required:
.PP
.RS
.nf
.ft CW
$ \f[CB]make install\fP
$
.ft R
.fi
.RE
.PP
All done.
See the \f[I]canola\fP(1) man page for more how to use it.
.ds n) canola
.so man/man1/z_copyright.so
.br
.bp
.SH RELEASE NOTES
.XX "" "Release Notes"
This section details the various features and bug fixes of the various releases.
.so etc/new.so
