//
// canola - canon canola 1614p emulator
// Copyright (C) 2011 Peter Miller
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License, version 3, as
// published by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program. If not, see <http://www.gnu.org/licenses/>.
//

#include <lib/config.h>
#include <libexplain/output.h>

#include <lib/calculator/asm.h>
#include <lib/std_string_printf.h>


calculator_asm::~calculator_asm()
{
}


calculator_asm::calculator_asm()
{
}


calculator::pointer
calculator_asm::create()
{
    return pointer(new calculator_asm());
}


void
calculator_asm::derived_print(const display &)
{
}


void
calculator_asm::derived_feed(void)
{
}


void
calculator_asm::on_error_v(const char *fmt, va_list ap)
{
    std::string text = std_string_printf_v(fmt, ap);
    explain_output_error_and_die("%s", text.c_str());
}


void
calculator_asm::run(void)
{
}


void
calculator_asm::derived_off(void)
{
    exit(0);
}


void
calculator_asm::derived_update_display(const display &)
{
}


void
calculator_asm::clock_tick_start_running(void)
{
}


void
calculator_asm::printer_timer_start_running(void)
{
}
