//
// canola - canon canola 1614p emulator
// Copyright (C) 2011, 2012 Peter Miller
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License, version 3, as
// published by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program. If not, see <http://www.gnu.org/licenses/>.
//

#include <lib/calculator.h>
#include <lib/lexer.h>


void
calculator::clear_program(void)
{
    unsigned lo = 1;
    unsigned hi = 241;
    switch (program_selector)
    {
    default:
    case program_selector_i_ii:
        break;

    case program_selector_i:
        hi = 121;
        break;

    case program_selector_ii:
        lo = 121;
        break;
    }

    for (size_t j = lo; j < hi; ++j)
    {
        programme[j] = 0;
        programme_location[j].reset();
    }

    address = 0;
}


bool
calculator::load_program(const std::string &filename, bool binary)
{
    lexer slurp(filename, *this);
    if (binary)
        return slurp.read_binary_and_execute();
    return slurp.read_and_execute();
}
