//
// canola - canon canola 1614p emulator
// Copyright (C) 2011, 2012 Peter Miller
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License, version 3, as
// published by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program. If not, see <http://www.gnu.org/licenses/>.
//

#include <lib/calculator.h>


void
calculator::program_print(void)
{
    int min = 0;
    int max = 256;
    switch (program_selector)
    {
    default:
    case program_selector_i_ii:
        min = 1;
        max = 240;
        break;

    case program_selector_i:
        min = 1;
        max = 120;
        break;

    case program_selector_ii:
        min = 121;
        max = 240;
        break;
    }

    // Strangely, actually using a 1614P, it prints from the
    // *current* address to the end.
    int start = (address < min || address > max ? min : address);

    for (int n = start; n <= max; ++n)
    {
        unsigned char op = programme[n];
        if (op)
        {
            display value;
            calculate_display_lrn(value, n, op);
            value.tubes[15].dot = false;
            derived_print(value);
        }
    }
}
