//
// canola - canon canola 1614p emulator
// Copyright (C) 2011, 2012 Peter Miller
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License, version 3, as
// published by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program. If not, see <http://www.gnu.org/licenses/>.
//

#include <lib/calculator.h>
#include <lib/debugger.h>


void
calculator::update_debugger(debugger &where)
{
    where.display_x_register(x_register);
    where.display_y_register(y_register);
    for (int j = 1; j <= 14; ++j)
        where.display_memory(j, memory[j]);
    int addr = address;
    if (!addr)
        addr = wrap_address(addr);
    where.display_address(addr);
    where.display_opcode((opcode_t)programme[addr]);
    where.display_location(programme_location[addr]);

    std::string txt = mstate_name(mstate);
    if (txt.size() > 17)
        txt = txt.substr(txt.size() - 17, 17);
    where.display_mstate(txt.c_str());
}


void
calculator::set_address(int n)
{
    assert(n >= 0);
    assert(n < 240);
    address = n;
}
