//
// canola - canon canola 1614p emulator
// Copyright (C) 2011 Peter Miller
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License, version 3, as
// published by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program. If not, see <http://www.gnu.org/licenses/>.
//

#ifndef LIB_CONTEXT_SAVER_H
#define LIB_CONTEXT_SAVER_H

#include <lib/config.h>
#include <cairomm/context.h>

/**
  * The context_saver class is used to represent
  * a cr->save() / cr->restore() pair.
  */
class context_saver
{
public:
    context_saver(const Cairo::RefPtr<Cairo::Context> &a_cr) :
        cr(a_cr)
    {
        cr->save();
    }

    ~context_saver()
    {
        cr->restore();
    }

private:
    Cairo::RefPtr<Cairo::Context> cr;
};

#endif // LIB_CONTEXT_SAVER_H
