//
// canola - canon canola 1614p emulator
// Copyright (C) 2011 Peter Miller
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License, version 3, as
// published by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program. If not, see <http://www.gnu.org/licenses/>.
//

#include <lib/image.h>


icon_pixel
image::average(void)
    const
{
    double red_sum = 0;
    double green_sum = 0;
    double blue_sum = 0;
    double alpha_sum = 0;
    long n = 0;
    for (unsigned y = 0; y < get_height(); ++y)
    {
        for (unsigned x = 0; x < get_width(); ++x)
        {
            icon_pixel p;
            get_pixel(x, y, p);
            double a = p.get_alpha();
            red_sum += p.get_red() * a;
            green_sum += p.get_green() * a;
            blue_sum += p.get_blue() * a;
            alpha_sum += a;
            ++n;
        }
    }
    if (alpha_sum == 0)
        return icon_pixel();
    return
        icon_pixel
        (
            red_sum / alpha_sum,
            green_sum / alpha_sum,
            blue_sum / alpha_sum,
            alpha_sum / n
        );
}
