//
// canola - canon canola 1614p emulator
// Copyright (C) 2011 Peter Miller
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License, version 3, as
// published by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program. If not, see <http://www.gnu.org/licenses/>.
//

#include <lib/image.h>


void
image::copy(const image::pointer &src)
{
    copy(src, 0, 0);
}


void
image::copy(const image::pointer &src, int ox, int oy)
{
    int dx = src->get_width();
    int dy = src->get_height();
    if (ox < 0)
    {
        dx += ox;
        ox = 0;
    }
    if (oy < 0)
    {
        dy += oy;
        oy = 0;
    }
    if (ox + dx > (int)get_width())
        dx = get_width() - ox;
    if (dx <= 0)
        return;
    if (oy + dy > (int)get_height())
        dy = get_height() - oy;
    if (dy <= 0)
        return;
    for (int y = 0; y < dy; ++y)
    {
        for (int x = 0; x < dx; ++x)
        {
            icon_pixel value;
            src->get_pixel(x, y, value);
            set_pixel(x + ox, y + oy, value);
        }
    }
}
