//
// canola - canon canola 1614p emulator
// Copyright (C) 2011 Peter Miller
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License, version 3, as
// published by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program. If not, see <http://www.gnu.org/licenses/>.
//

#include <lib/image/format.h>


void
image_format::get_pixel(int x, int y, icon_pixel &value)
    const
{
    if (x < 0 || x >= (int)width || y < 0 || y >= (int)height)
        value = icon_pixel::transparent;
    else
    {
        const data_t *p = data + (y * width + x) * 4;
        value =
            icon_pixel
            (
                icon_pixel::short_from_byte(p[0]),
                icon_pixel::short_from_byte(p[1]),
                icon_pixel::short_from_byte(p[2]),
                icon_pixel::short_from_byte(p[3])
            );
    }
}
