//
// canola - canon canola 1614p emulator
// Copyright (C) 2011 Peter Miller
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License, version 3, as
// published by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program. If not, see <http://www.gnu.org/licenses/>.
//

#include <lib/image/monochrome.h>


image_monochrome::~image_monochrome()
{
}


image_monochrome::image_monochrome(const pointer &a_deeper) :
    deeper(a_deeper)
{
}


image::pointer
image_monochrome::create(const pointer &a_deeper)
{
    return pointer(new image_monochrome(a_deeper));
}


const char *
image_monochrome::type_name()
    const
{
    return "monochrome";
}

void
image_monochrome::get_pixel(int x, int y, icon_pixel &value)
    const
{
    icon_pixel p;
    deeper->get_pixel(x, y, p);
    value = p.monochrome();
}


void
image_monochrome::set_pixel(int x, int y, const icon_pixel &value)
{
    deeper->set_pixel(x, y, value.monochrome());
}

unsigned
image_monochrome::get_width()
    const
{
    return deeper->get_width();
}

unsigned
image_monochrome::get_height()
    const
{
    return deeper->get_height();
}


void
image_monochrome::save_to_file(const std::string &filename)
    const
{
    deeper->save_to_file(filename);
}
