//
// canola - canon canola 1614p emulator
// Copyright (C) 2011 Peter Miller
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License, version 3, as
// published by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program. If not, see <http://www.gnu.org/licenses/>.
//

#include <lib/interpose/goto.h>


interpose_goto::~interpose_goto()
{
}


interpose_goto::interpose_goto(const pointer &a_deeper) :
    deeper(a_deeper)
{
}


interpose_goto::pointer
interpose_goto::create(const pointer &a_deeper)
{
    return pointer(new interpose_goto(a_deeper));
}


void
interpose_goto::on_opcode(opcode_t op, const location::pointer &where)
{
    int n = op;
    if (n >= 0 && n < 128)
    {
        if (!opcode_valid_label(n))
        {
            on_error
            (
                "'%s' is not a valid jump label",
                opcode_name(opcode_t(n)).c_str()
            );
        }
        deeper->on_opcode(opcode_t(opcode_extended_goto_000 + n), where);
    }
    else
    {
        on_error
        (
            "'%s' not valid at this time, waiting for a UJ flag",
            opcode_name(op).c_str()
        );
    }
}


bool
interpose_goto::strict_memory_number_checking_required(void)
    const
{
    return deeper->strict_memory_number_checking_required();
}


void
interpose_goto::on_error_v(char const *fmt, va_list ap)
{
    deeper->on_error_v(fmt, ap);
}
