//
// canola - canon canola 1614p emulator
// Copyright (C) 2011 Peter Miller
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License, version 3, as
// published by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program. If not, see <http://www.gnu.org/licenses/>.
//

#ifndef LIB_INTERPOSE_MEMORY_M_H
#define LIB_INTERPOSE_MEMORY_M_H

#include <lib/interpose/memory.h>

/**
  * The interpose_memory_m class is used to represent the processing
  * required to glue M3~ {n} together to make M(n) keys.
  */
class interpose_memory_m:
    public interpose_memory
{
public:
    /**
      * The destructor.
      */
    virtual ~interpose_memory_m();

    /**
      * The create class method is used to create new dynamically
      * allocated instance of this class.
      */
    static pointer create(const pointer &deeper,
        const location::pointer &start);

private:
    /**
      * The constructor.
      * It is private on purpose, use the #create class method instead.
      */
    interpose_memory_m(const pointer &deeper, const location::pointer &start);

    /**
      * The default constructor.
      * Do not use.
      */
    interpose_memory_m();

    /**
      * The copy constructor.
      * Do not use.
      *
      * @param rhs
      *     The right hand side of the initialization.
      */
    interpose_memory_m(const interpose_memory_m &rhs);

    /**
      * The assignment operator.
      * Do not use.
      *
      * @param rhs
      *     The right hand side of the assignment.
      */
    interpose_memory_m &operator=(const interpose_memory_m &rhs);
};

#endif // LIB_INTERPOSE_MEMORY_M_H
