//
// canola - canon canola 1614p emulator
// Copyright (C) 2011 Peter Miller
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License, version 3, as
// published by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program. If not, see <http://www.gnu.org/licenses/>.
//

#include <lib/calculator.h>
#include <lib/interpose/pro_che.h>


interpose_pro_che::~interpose_pro_che()
{
}


interpose_pro_che::interpose_pro_che(calculator *a_subject) :
    subject(a_subject)
{
    assert(subject);
}


interpose::pointer
interpose_pro_che::create(calculator *a_subject)
{
    return pointer(new interpose_pro_che(a_subject));
}


void
interpose_pro_che::on_opcode(opcode_t op, const location::pointer &where)
{
    subject->on_opcode_pro_che(op, where);
}


void
interpose_pro_che::on_error_v(const char *fmt, va_list ap)
{
    subject->on_error_v(fmt, ap);
}


bool
interpose_pro_che::strict_memory_number_checking_required(void)
    const
{
    return subject->strict_memory_number_checking_required();
}
