//
// canola - canon canola 1614p emulator
// Copyright (C) 2011 Peter Miller
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License, version 3, as
// published by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program. If not, see <http://www.gnu.org/licenses/>.
//

#include <lib/lexer/functor/method.h>


lexer_functor_method::~lexer_functor_method()
{
}


lexer_functor_method::lexer_functor_method(
    calculator &a_subject,
    method_ptr_t a_method
) :
    subject(a_subject),
    method(a_method)
{
}


lexer_functor_method::pointer
lexer_functor_method::create(calculator &a_subject, method_ptr_t a_method)
{
    return pointer(new lexer_functor_method(a_subject, a_method));
}


void
lexer_functor_method::do_it(const location::pointer &)
{
    (subject.*method)();
}
