//
// canola - canon canola 1614p emulator
// Copyright (C) 2011 Peter Miller
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License, version 3, as
// published by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program. If not, see <http://www.gnu.org/licenses/>.
//

#include <lib/lexer/functor/method_bool.h>


lexer_functor_method_bool::~lexer_functor_method_bool()
{
}


lexer_functor_method_bool::lexer_functor_method_bool(
    calculator &a_subject,
    method_ptr_t a_method,
    bool a_value
) :
    subject(a_subject),
    method(a_method),
    value(a_value)
{
}


lexer_functor_method_bool::pointer
lexer_functor_method_bool::create(calculator &a_subject, method_ptr_t a_method,
    bool a_value)
{
    return pointer(new lexer_functor_method_bool(a_subject, a_method, a_value));
}


void
lexer_functor_method_bool::do_it(const location::pointer &)
{
    (subject.*method)(value);
}
