//
// canola - canon canola 1614p emulator
// Copyright (C) 2011 Peter Miller
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License, version 3, as
// published by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program. If not, see <http://www.gnu.org/licenses/>.
//

#include <lib/calculator.h>
#include <lib/lexer/functor/opcode.h>


lexer_functor_opcode::~lexer_functor_opcode()
{
}


lexer_functor_opcode::lexer_functor_opcode(
    calculator &a_subject,
    opcode_t a_op
) :
    subject(a_subject),
    op(a_op)
{
}


lexer_functor_opcode::pointer
lexer_functor_opcode::create(calculator &a_subject, opcode_t a_op)
{
    return pointer(new lexer_functor_opcode(a_subject, a_op));
}


void
lexer_functor_opcode::do_it(const location::pointer &where)
{
    subject.on_opcode(op, where);
}
