//
// canola - canon canola 1614p emulator
// Copyright (C) 2011 Peter Miller
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License, version 3, as
// published by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program. If not, see <http://www.gnu.org/licenses/>.
//

#include <lib/lexer/functor/program_mode.h>


lexer_functor_program_mode::~lexer_functor_program_mode()
{
}


lexer_functor_program_mode::lexer_functor_program_mode(
    calculator &a_subject,
    calculator::program_mode_t a_program_mode
) :
    subject(a_subject),
    program_mode(a_program_mode)
{
}


lexer_functor_program_mode::pointer
lexer_functor_program_mode::create(calculator &a_subject,
    calculator::program_mode_t a_program_mode)
{
    return pointer(new lexer_functor_program_mode(a_subject, a_program_mode));
}


void
lexer_functor_program_mode::do_it(const location::pointer &)
{
    subject.program_mode_set(program_mode);
}
