//
// canola - canon canola 1614p emulator
// Copyright (C) 2011, 2012 Peter Miller
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License, version 3, as
// published by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program. If not, see <http://www.gnu.org/licenses/>.
//

#include <lib/ac/assert.h>

#include <lib/number.h>


void
number::insert_dot(void)
{
    decimal = 0;
}


void
number::insert_digit_before_dot(int n)
{
    assert(n >= 0);
    assert(n < 10);
    value.build(n);
}


void
number::insert_digit_after_dot(int n)
{
    // <question>
    // What happens if too many decimal places are added?
    // What is displayed when "[C] 1234567890.123456" has been entered,
    // and the [7] is pressed?  Does it overflow, does it discard the 7
    // and leave the display unchanged, or something else?
    // </question>
    //
    // For now, we discard additional decimal places.
    //
    if (value.get_digit_count() < 16)
    {
        insert_digit_before_dot(n);
        ++decimal;
    }
}


// vim: set ts=8 sw=4 et :
