//
// canola - canon canola 1614p emulator
// Copyright (C) 2011, 2012 Peter Miller
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License, version 3, as
// published by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program. If not, see <http://www.gnu.org/licenses/>.
//

#include <lib/number.h>


bool
number::operator<(const number &rhs)
    const
{
    if (negative)
    {
        if (rhs.negative)
        {
            // negate both sides, and flip the operator
            // i.e. (-lhs > -rhs)
            const number_z &t1(value);
            const number_z &t2(rhs.value);
            return (t1 > t2);
        }
        else
        {
            return true;
        }
    }
    else
    {
        if (rhs.negative)
        {
            return false;
        }
        else
        {
            const number_z &t1(value);
            const number_z &t2(rhs.value);
            return (t1 < t2);
        }
    }
}


// vim: set ts=8 sw=4 et :
