//
// canola - canon canola 1614p emulator
// Copyright (C) 2012 Peter Miller
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License, version 3, as
// published by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program. If not, see <http://www.gnu.org/licenses/>.
//

#include <lib/ac/stdio.h>

#include <lib/number.h>


void
number::print_me(const char *file, int line)
    const
{
    std::string s = value.representation();
    std::string frac;
    while (s.size() <= decimal)
        s = "0" + s;
    if (decimal > 0)
    {
        frac = s.substr(s.size() - decimal, decimal);
        s = s.substr(0, s.size() - decimal);
    }
    std::string over;
    if (s.size() > 16)
    {
        over = s.substr(0, s.size() - 16) + "!";
        s = s.substr(s.size() - 16, 16);
    }

    fprintf
    (
        stderr,
        "%s: %d: %s%s%s.%s\n",
        file,
        line,
        (negative ? "-" : ""),
        over.c_str(),
        s.c_str(),
        frac.c_str()
    );
}


// vim: set ts=8 sw=4 et :
