//
// canola - canon canola 1614p emulator
// Copyright (C) 2011, 2012 Peter Miller
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License, version 3, as
// published by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program. If not, see <http://www.gnu.org/licenses/>.
//

#include <lib/number.h>


std::string
number::to_string(void)
    const
{
    std::string result;
    if (has_overflowed())
        result += '!';
    bool zero_sup = !has_overflowed();
    for (int dignum = 15; dignum >= 0; --dignum)
    {
        int n = value.get(dignum);
        if ((unsigned)dignum <= decimal)
            zero_sup = false;
        if (n != 0)
            zero_sup = false;
        if (n != 0 || !zero_sup)
            result += (char)('0' + n);
        else
            result += ' ';
        if ((unsigned)dignum == decimal)
            result += '.';
    }
    if (negative)
        result += '-';
    return result;
}


// vim: set ts=8 sw=4 et :
