//
// canola - canon canola 1614p emulator
// Copyright (C) 2012 Peter Miller
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License, version 3, as
// published by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program. If not, see <http://www.gnu.org/licenses/>.
//

#include <lib/ac/assert.h>

#include <lib/number/z.h>


number_z &
number_z::operator=(const number_z &rhs)
{
    if (this != &rhs)
    {
        clear();
        for (size_t j = 0; j < rhs.digits_used; ++j)
        {
            // By doing the most significant digit first, they will only
            // be the one alloc required.
            size_t jj = rhs.digits_used - 1 - j;
            set(jj, rhs.get(jj));
        }
    }
    assert(is_valid());
    return *this;
}


// vim: set ts=8 sw=4 et :
