//
// canola - canon canola 1614p emulator
// Copyright (C) 2012 Peter Miller
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License, version 3, as
// published by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program. If not, see <http://www.gnu.org/licenses/>.
//

#include <lib/ac/assert.h>

#include <lib/number/z.h>


int
number_z::compare(const number_z &lhs, const number_z &rhs)
{
    assert(lhs.is_valid());
    assert(rhs.is_valid());
    if (lhs.digits_used != rhs.digits_used)
        return (lhs.digits_used < rhs.digits_used ? -1 : 1);
    size_t n = lhs.digits_used;
    for (;;)
    {
        if (!n)
            return 0;
        --n;
        if (lhs.digits[n] != rhs.digits[n])
            return (lhs.digits[n] < rhs.digits[n] ? -1 : 1);
    }
}


// vim: set ts=8 sw=4 et :
