//
// canola - canon canola 1614p emulator
// Copyright (C) 2012 Peter Miller
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License, version 3, as
// published by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program. If not, see <http://www.gnu.org/licenses/>.
//

#include <lib/ac/assert.h>
#include <lib/ac/string.h>

#include <lib/number/z.h>


number_z::number_z(const number_z &rhs) :
    digits_used(0),
    digits_allocated(0),
    digits(0)
{
    if (rhs.digits_used)
    {
        digits_used = 0;
        digits_allocated = 16;
        while (digits_allocated < rhs.digits_used)
            digits_allocated <<= 1;
        digits = new digit_t [digits_allocated];
        while (digits_used < rhs.digits_used)
        {
            digits[digits_used] = rhs.digits[digits_used];
            ++digits_used;
        }
        memset(digits + digits_used, 0, digits_allocated - digits_used);
    }
    assert(is_valid());
}


// vim: set ts=8 sw=4 et :
