//
// canola - canon canola 1614p emulator
// Copyright (C) 2012 Peter Miller
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License, version 3, as
// published by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program. If not, see <http://www.gnu.org/licenses/>.
//

#include <lib/ac/assert.h>
#include <lib/ac/limits.h>

#include <lib/number/z.h>


number_z
number_z::shift_left(size_t far)
    const
{
    assert(far < INT_MAX);
    assert(is_valid());
    if (is_zero())
        return *this;
    if (far == 0)
        return *this;

    number_z result;
    for (size_t j = 0; j < digits_used; ++j)
        result.set(j + far, get(j));
    assert(result.is_valid());
    return result;
}


// vim: set ts=8 sw=4 et :
