//
// canola - canon canola 1614p emulator
// Copyright (C) 2012 Peter Miller
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License, version 3, as
// published by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program. If not, see <http://www.gnu.org/licenses/>.
//

#include <lib/path_join.h>


std::string
path_join(const std::string &lhs, const std::string &rhs)
{
    if (lhs == "." || lhs.empty())
        return rhs;
    if (rhs == "." || rhs.empty())
        return lhs;
    if (lhs[lhs.size() - 1] == '/' || rhs[0] == '/')
    {
        if (lhs[lhs.size() - 1] == '/' && rhs[0] == '/')
            return lhs + rhs.substr(1, rhs.size() - 1);
        return (lhs + rhs);
    }
    return (lhs + "/" + rhs);
}


std::string
path_join(const std::string &s1, const std::string &s2, const std::string &s3)
{
    return path_join(path_join(s1, s2), s3);
}


std::string
path_join(const std::string &s1, const std::string &s2, const std::string &s3,
    const std::string &s4)
{
    return path_join(path_join(s1, s2), path_join(s3, s4));
}
