//
// canola - canon canola 1614p emulator
// Copyright (C) 2011 Peter Miller
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License, version 3, as
// published by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program. If not, see <http://www.gnu.org/licenses/>.
//

#include <lib/ac/stdio.h>

#include <lib/std_string_printf.h>


std::string
std_string_printf(const char *fmt, ...)
{
    va_list ap;
    va_start(ap, fmt);
    std::string result = std_string_printf_v(fmt, ap);
    va_end(ap);
    return result;
}


std::string
std_string_printf_v(const char *fmt, va_list ap)
{
    char buffer[2000];
    vsnprintf(buffer, sizeof(buffer), fmt, ap);
    return buffer;
}
