//
// canola - canon canola 1614p emulator
// Copyright (C) 2011 Peter Miller
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License, version 3, as
// published by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program. If not, see <http://www.gnu.org/licenses/>.
//

#ifndef LIB_STD_STRING_PRINTF_H
#define LIB_STD_STRING_PRINTF_H

#include <lib/ac/stdarg.h>
#include <string>
#include <lib/format_printf.h>

/**
  * The std_string_printf function is used to take a format string and
  * turn it into a C++ string.
  *
  * @param fmt
  *     The format of the result, and describes ther number and types
  *     of the remaining arguments.
  */
std::string std_string_printf(const char *fmt, ...)
                                                            FORMAT_PRINTF(1, 2);

/**
  * The std_string_printf_v function is used to take a format string and
  * turn it into a C++ string.
  *
  * @param fmt
  *     The format of the result, and describes ther number and types
  *     of the remaining arguments.
  * @param ap
  *     The rest of the arguments.
  */
std::string std_string_printf_v(const char *fmt, va_list ap)
                                                            FORMAT_PRINTF(1, 0);

#endif // LIB_STD_STRING_PRINTF_H
