#!/bin/sh
#
# canola - canon canola 1614p emulator
# Copyright (C) 2012 Peter Miller
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License, version 3, as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program. If not, see <http://www.gnu.org/licenses/>.
#

TEST_SUBJECT="number::operator<="
. test_prelude

cat > test.in << 'fubar'
-12 <= -12
-12 <= -6
-12 <= 0
-12 <= 6
-12 <= 12
99999
-6 <= -12
-6 <= -6
-6 <= 0
-6 <= 6
-6 <= 12
88888
0 <= -12
0 <= -6
0 <= 0
0 <= 6
0 <= 12
77777
6 <= -12
6 <= -6
6 <= 0
6 <= 6
6 <= 12
66666
12 <= -12
12 <= -6
12 <= 0
12 <= 6
12 <= 12
fubar
test $? -eq 0 || no_result

cat > test.ok << 'fubar'
               1.
               1.
               1.
               1.
               1.
           99999.
               0.
               1.
               1.
               1.
               1.
           88888.
               0.
               0.
               1.
               1.
               1.
           77777.
               0.
               0.
               0.
               1.
               1.
           66666.
               0.
               0.
               0.
               0.
               1.
fubar
test $? -eq 0 || no_result

test_number < test.in > test.out
test $? -eq 0 || fail

diff test.ok test.out
test $? -eq 0 || fail

#
# Only definite negatives are possible.
# The functionality exercised by this test appears to work,
# no other guarantees are made.
#
pass

# vim: set ts=8 sw=4 et :
