#!/bin/sh
#
# canola - canon canola 1614p emulator
# Copyright (C) 2011, 2012 Peter Miller
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License, version 3, as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program. If not, see <http://www.gnu.org/licenses/>.
#

TEST_SUBJECT="division, inst man, p. 22, (2)"
. test_prelude

cat > test.in << 'fubar'
decimal_point_selector_6
123456789
display_print
/
display_print
456.123
display_print
/
display_print
789.456
display_print
+=
display_print
fubar
test $? -eq 0 || no_result

# Note that, for the intermediate value, our rounding is more accurate.
# It does not affect the final answer, so don't worry about it.
# Or, it could be that the 1614P always rounds down for intermediate values.
cat > test.ok << 'fubar'
       123456789.
       123456789.
          456.123
270665.5638939496
          789.456
       342.850727
fubar
test $? -eq 0 || no_result

test_calculator test.in > test.out
test $? -eq 0 || fail

diff test.ok test.out
test $? -eq 0 || fail

#
# Only definite negatives are possible.
# The functionality exercised by this test appears to work,
# no other guarantees are made.
#
pass

# vim: set ts=8 sw=4 et :
