#!/bin/sh
#
# canola - canon canola 1614p emulator
# Copyright (C) 2011 Peter Miller
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License, version 3, as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program. If not, see <http://www.gnu.org/licenses/>.
#

TEST_SUBJECT="inst man, p. 23, (1)"
. test_prelude

cat > test.in << 'fubar'
decimal_point_selector_2
k_on
359.42
display_print
x
display_print
2145
display_print
+=
display_print
4950.6
display_print
+=
display_print
3784.38
display_print
+=
display_print
fubar
test $? -eq 0 || no_result

cat > test.ok << 'fubar'
           359.42
           359.42
            2145.
        770955.90
           4950.6
       1779344.65
          3784.38
       1360181.86
fubar
test $? -eq 0 || no_result

test_calculator test.in > test.out
test $? -eq 0 || fail

diff test.ok test.out
test $? -eq 0 || fail

#
# Only definite negatives are possible.
# The functionality exercised by this test appears to work,
# no other guarantees are made.
#
pass

# vim: set ts=8 sw=4 et :
