#!/bin/sh
#
# canola - canon canola 1614p emulator
# Copyright (C) 2011 Peter Miller
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License, version 3, as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program. If not, see <http://www.gnu.org/licenses/>.
#

TEST_SUBJECT="functional testing, Inst Man, p. 25, (1)"
. test_prelude

cat > test.in << 'fubar'
decimal_point_selector_2
am1_on
243
display_print
x
display_print
18
display_print
x
display_print
.86
display_print
+=
display_print
576
display_print
x
display_print
32
display_print
x
display_print
.78
display_print
+=
display_print
387
display_print
x
display_print
29
display_print
x
display_print
.88
display_print
+=
display_print
rm1
display_print
fubar
test $? -eq 0 || no_result

cat > test.ok << 'fubar'
             243.
             243.
              18.
            4374.
             0.86
          3761.64
             576.
             576.
              32.
           18432.
             0.78
         14376.96
             387.
             387.
              29.
           11223.
             0.88
          9876.24
         28014.84
fubar
test $? -eq 0 || no_result

test_calculator test.in > test.out
test $? -eq 0 || fail

diff test.ok test.out
test $? -eq 0 || fail

#
# Only definite negatives are possible.
# The functionality exercised by this test appears to work,
# no other guarantees are made.
#
pass

# vim: set ts=8 sw=4 et :
