#!/bin/sh
#
# canola - canon canola 1614p emulator
# Copyright (C) 2011 Peter Miller
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License, version 3, as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program. If not, see <http://www.gnu.org/licenses/>.
#

TEST_SUBJECT="functional testing, Inst Man, p. 26, (4)"
. test_prelude

cat > test.in << 'fubar'
am1_on
k_on
decimal_point_selector_4
31750
display_print
/
display_print
308
display_print
+=
display_print
54236
display_print
+=
display_print
78912
display_print
+=
display_print
rm1
display_print
fubar
test $? -eq 0 || no_result

# Note: rounding on last division disagrees in last decimal place,
# probably because the calculator chip didn't/couldn't look past the
# next digit.
cat > test.ok << 'fubar'
           31750.
           31750.
             308.
         103.0844
           54236.
         176.0909
           78912.
         256.2078
         535.3831
fubar
test $? -eq 0 || no_result

test_calculator test.in > test.out
test $? -eq 0 || fail

diff test.ok test.out
test $? -eq 0 || fail

#
# Only definite negatives are possible.
# The functionality exercised by this test appears to work,
# no other guarantees are made.
#
pass

# vim: set ts=8 sw=4 et :
