#!/bin/sh
#
# canola - canon canola 1614p emulator
# Copyright (C) 2011 Peter Miller
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License, version 3, as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program. If not, see <http://www.gnu.org/licenses/>.
#

TEST_SUBJECT="functional testing, Inst Man, p. 26, (1)"
. test_prelude

cat > test.in << 'fubar'
308
m2
am1_on
decimal_point_selector_0
;
271
display_print
x
display_print
35.27
display_print
x
display_print
rm2
display_print
+=
display_print
123
display_print
x
display_print
25.32
display_print
x
display_print
rm2
display_print
+=
display_print
rm1
display_print
fubar
test $? -eq 0 || no_result

# the last two lines disagree because of rounding.
cat > test.ok << 'fubar'
             271.
             271.
            35.27
          9558.17
             308.
         2943916.
             123.
             123.
            25.32
          3114.36
             308.
          959223.
         3903139.
fubar
test $? -eq 0 || no_result

test_calculator test.in > test.out
test $? -eq 0 || fail

diff test.ok test.out
test $? -eq 0 || fail

#
# Only definite negatives are possible.
# The functionality exercised by this test appears to work,
# no other guarantees are made.
#
pass

# vim: set ts=8 sw=4 et :
