#!/bin/sh
#
# canola - canon canola 1614p emulator
# Copyright (C) 2011 Peter Miller
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License, version 3, as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program. If not, see <http://www.gnu.org/licenses/>.
#

TEST_SUBJECT="functional testing, Inst Man, p. 26, (3)"
. test_prelude

cat > test.in << 'fubar'
am1_on
decimal_point_selector_0
3761.87
display_print
/
display_print
.86
display_print
/
display_print
17
display_print
+=
display_print
14377.03
display_print
/
display_print
.78
display_print
/
display_print
33
display_print
+=
display_print
rm1
display_print
fubar
test $? -eq 0 || no_result

# Note: rounding on the final division disagrees, because the final
# value is 558.548... which the 1614P incorrectly rounds down instead of up.
cat > test.ok << 'fubar'
          3761.87
          3761.87
             0.86
4374.267441860465
              17.
             257.
         14377.03
         14377.03
             0.78
18432.08974358974
              33.
             559.
             816.
fubar
test $? -eq 0 || no_result

test_calculator test.in > test.out
test $? -eq 0 || fail

diff test.ok test.out
test $? -eq 0 || fail

#
# Only definite negatives are possible.
# The functionality exercised by this test appears to work,
# no other guarantees are made.
#
pass

# vim: set ts=8 sw=4 et :
