#!/bin/sh
#
# canola - canon canola 1614p emulator
# Copyright (C) 2011 Peter Miller
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License, version 3, as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program. If not, see <http://www.gnu.org/licenses/>.
#

TEST_SUBJECT="functional testing, Inst Man, p. 27, (1)"
. test_prelude

cat > test.in << 'fubar'
am1_on
123
display_print
x
display_print
45
display_print
+=
display_print
456
display_print
x
display_print
78
display_print
+=
display_print
rm1
display_print
m2
display_print
cm1
display_print
789
display_print
x
display_print
12
display_print
+=
display_print
147
display_print
x
display_print
25
display_print
+=
display_print
rm1
display_print
m2
display_print
rm2
display_print
fubar
test $? -eq 0 || no_result

cat > test.ok << 'fubar'
             123.
             123.
              45.
            5535.
             456.
             456.
              78.
           35568.
           41103.
           41103.
           41103.
             789.
             789.
              12.
            9468.
             147.
             147.
              25.
            3675.
           13143.
           13143.
           54246.
fubar
test $? -eq 0 || no_result

test_calculator test.in > test.out
test $? -eq 0 || fail

diff test.ok test.out
test $? -eq 0 || fail

#
# Only definite negatives are possible.
# The functionality exercised by this test appears to work,
# no other guarantees are made.
#
pass

# vim: set ts=8 sw=4 et :
