#!/bin/sh
#
# canola - canon canola 1614p emulator
# Copyright (C) 2011 Peter Miller
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License, version 3, as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program. If not, see <http://www.gnu.org/licenses/>.
#

TEST_SUBJECT="functional test, Inst Man, p. 28"
. test_prelude

cat > test.in << 'fubar'
decimal_point_selector_2
3524500
display_print
+=
display_print
5163200
display_print
+=
display_print
4048600
display_print
+=
display_print
2975800
display_print
+=
display_print
/
display_print
100
display_print
+=
display_print
am1_down
display_print
k_down
display_print
/
display_print
3524500
display_print
rv
display_print
+=
display_print
5163200
display_print
+=
display_print
4048600
display_print
+=
display_print
2975800
display_print
+=
display_print
rm1
display_print
fubar
test $? -eq 0 || no_result

cat > test.ok << 'fubar'
         3524500.
       3524500.00
         5163200.
       8687700.00
         4048600.
      12736300.00
         2975800.
      15712100.00
      15712100.00
             100.
        157121.00
        157121.00
        157121.00
        157121.00
         3524500.
        157121.00
            22.43
         5163200.
            32.86
         4048600.
            25.77
         2975800.
            18.94
           100.00
fubar
test $? -eq 0 || no_result

test_calculator test.in > test.out
test $? -eq 0 || fail

diff test.ok test.out
test $? -eq 0 || fail

#
# Only definite negatives are possible.
# The functionality exercised by this test appears to work,
# no other guarantees are made.
#
pass

# vim: set ts=8 sw=4 et :
