#!/bin/sh
#
# canola - canon canola 1614p emulator
# Copyright (C) 2011 Peter Miller
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License, version 3, as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program. If not, see <http://www.gnu.org/licenses/>.
#

TEST_SUBJECT="functional test, Inst Man, p. 29"
. test_prelude

cat > test.in << 'fubar'
decimal_point_selector_0
1985
display_print
+=
display_print
4623
display_print
+=
display_print
2748
display_print
+=
display_print
6136
display_print
+=
display_print
/
display_print
1583
display_print
rv
display_print
x
display_print
am1_down
display_print
k_down
display_print
1985
display_print
+=
display_print
4623
display_print
+=
display_print
2748
display_print
+=
display_print
6136
display_print
+=
display_print
rm1
display_print
fubar
test $? -eq 0 || no_result

cat > test.ok << 'fubar'
            1985.
            1985.
            4623.
            6608.
            2748.
            9356.
            6136.
           15492.
           15492.
            1583.
           15492.
0.102181771236767
0.102181771236767
0.102181771236767
            1985.
             203.
            4623.
             472.
            2748.
             281.
            6136.
             627.
            1583.
fubar
test $? -eq 0 || no_result

test_calculator test.in > test.out
test $? -eq 0 || fail

diff test.ok test.out
test $? -eq 0 || fail

#
# Only definite negatives are possible.
# The functionality exercised by this test appears to work,
# no other guarantees are made.
#
pass

# vim: set ts=8 sw=4 et :
