#!/bin/sh
#
# canola - canon canola 1614p emulator
# Copyright (C) 2011 Peter Miller
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License, version 3, as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program. If not, see <http://www.gnu.org/licenses/>.
#

TEST_SUBJECT="functional tests, Inst Man, p. 30, RV+AM1"
. test_prelude

cat > test.script << 'fubar'
 1 | 1234 |            1234.
 2 | x    |            1234.
 3 | 23   |              23.
 4 | x    |           28382.
 5 | .2   |              0.2
 6 | +=   |          5676.40
 7 | m2   |          5676.40
 8 | rv   |           28382.
 9 | +=   |         34058.40
10 | 4567 |            4567.
11 | x    |            4567.
12 | 12   |              12.
13 | x    |           54804.
14 | .25  |             0.25
15 | +=   |         13701.00
16 | m2   |         13701.00
17 | rv   |           54804.
18 | +=   |         68505.00
19 | 789  |             789.
20 | x    |             789.
21 | 45   |              45.
22 | x    |           35505.
23 | .3   |              0.3
24 | +=   |         10651.50
25 | m2   |         10651.50
26 | rv   |           35505.
27 | +=   |         46156.50
#    rm1           148719.90 # this is wrong, it doesn't account for all +=
28 | rm1  |        178748.80
29 | rm2  |         30028.90
#    -=            118691.00 # this is wrong, because line 28 was wrong
30 | -=   |        148719.90
fubar
test $? -eq 0 || no_result

sed '/^#/d' test.script > test.script.2
test $? -eq 0 || no_result
sed 's/^.*| \([^ ]*\) *|.*$/\1/' test.script.2 > test.in.0
test $? -eq 0 || no_result

awk 'BEGIN {
    print "am1_down"
    print "decimal_point_selector_2"
}
{
    print
    print "display_print"
}' test.in.0 > test.in

sed 's/^.*|.*|\(.*\)$/\1/' test.script.2 > test.ok
test $? -eq 0 || no_result

test_calculator test.in > test.out
test $? -eq 0 || fail

diff -U99 test.ok test.out
test $? -eq 0 || fail

#
# Only definite negatives are possible.
# The functionality exercised by this test appears to work,
# no other guarantees are made.
#
pass

# vim: set ts=8 sw=4 et :
