#!/bin/sh
#
# canola - canon canola 1614p emulator
# Copyright (C) 2011, 2012 Peter Miller
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License, version 3, as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program. If not, see <http://www.gnu.org/licenses/>.
#

TEST_SUBJECT="gf 3"
. test_prelude

cat > test.in << 'fubar'
LRN
include program-card-package/gf-3.txt
OPE
include program-card-package/gf-3-data.txt
UJ 1
1
START
UJ 2
0.5
START
UJ 3
1
START
UJ 4
0.5
START
fubar
test $? -eq 0 || no_result

cat > test.ok << 'fubar'
               1.
 1.17520118910246 ◊
              0.5
1.127625965206177 ◊
               1.
0.761594154719766 ◊
              0.5
1.648721270699484 ◊
fubar
test $? -eq 0 || no_result

test_calculator $vpath test.in > test.out
test $? -eq 0 || fail

diff test.ok test.out
test $? -eq 0 || fail

#
# Only definite negatives are possible.
# The functionality exercised by this test appears to work,
# no other guarantees are made.
#
pass

# vim: set ts=8 sw=4 et :
