#!/bin/sh
#
# canola - canon canola 1614p emulator
# Copyright (C) 2011, 2012 Peter Miller
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License, version 3, as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program. If not, see <http://www.gnu.org/licenses/>.
#

TEST_SUBJECT="GF-4"
. test_prelude

cat > test.in << 'fubar'
LRN
include program-card-package/gf-4.txt
OPE
include program-card-package/gf-4-data.txt
UJ 1 3 START
UJ 2 2 START
UJ 3 0.5 START
UJ 4 3 START
fubar
test $? -eq 0 || no_result

cat > test.ok << 'fubar'
               3.
     1.8184464592 ◊
               2.
     1.3169578969 ◊
              0.5
   0.549306144339 ◊
               3.
     1.0986122887 ◊
fubar
test $? -eq 0 || no_result

test_calculator $vpath test.in > test.out
test $? -eq 0 || fail

diff test.ok test.out
test $? -eq 0 || fail

#
# Only definite negatives are possible.
# The functionality exercised by this test appears to work,
# no other guarantees are made.
#
pass

# vim: set ts=8 sw=4 et :
