#!/bin/sh
#
# canola - canon canola 1614p emulator
# Copyright (C) 2011, 2012 Peter Miller
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License, version 3, as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program. If not, see <http://www.gnu.org/licenses/>.
#

TEST_SUBJECT="GF-5 ln exp"
. test_prelude

cat > test.in << 'fubar'
LRN
include program-card-package/gf-5.txt
OPE
include program-card-package/gf-5-data.txt
UJ 1 2.5 START
c
UJ 2 2.5 START
c
UJ 3 2.5 START
c
UJ 4 2.5 START
fubar
test $? -eq 0 || no_result

# log(2.5) ~= 0.397940008672038
# ln(2.5)  ~= 0.916290731874155
# 10**2.5  ~= 316.2277660168379
# exp(2.5) ~= 12.18249396070347
cat > test.ok << 'fubar'
              2.5
0.397940008674773 ◊
              2.5
0.916290731882822 ◊
              2.5
316.2277660211673 ◊
              2.5
 12.1824939606983 ◊
fubar
test $? -eq 0 || no_result

test_calculator $vpath test.in > test.out
test $? -eq 0 || fail

diff test.ok test.out
test $? -eq 0 || fail

#
# Only definite negatives are possible.
# The functionality exercised by this test appears to work,
# no other guarantees are made.
#
pass

# vim: set ts=8 sw=4 et :
