#!/bin/sh
#
# canola - canon canola 1614p emulator
# Copyright (C) 2011 Peter Miller
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License, version 3, as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program. If not, see <http://www.gnu.org/licenses/>.
#

TEST_SUBJECT="ST-1 mean, var, std dev"
. test_prelude

cat > test.in << 'fubar'
LRN
include program-card-package/st-1.txt
OPE
start
25 start
26 start
27 start
start
fubar
test $? -eq 0 || no_result

cat > test.ok << 'fubar'
              25.
              26.
              27.
         26.00000 ◊
          0.66667 ◊
          0.81650 ◊
fubar
test $? -eq 0 || no_result

test_calculator $vpath test.in > test.out
test $? -eq 0 || fail

diff test.ok test.out
test $? -eq 0 || fail

#
# Only definite negatives are possible.
# The functionality exercised by this test appears to work,
# no other guarantees are made.
#
pass

# vim: set ts=8 sw=4 et :
