#!/bin/sh
#
# canola - canon canola 1614p emulator
# Copyright (C) 2011 Peter Miller
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License, version 3, as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program. If not, see <http://www.gnu.org/licenses/>.
#

TEST_SUBJECT="st-4 summ pair data"
. test_prelude

cat > test.in << 'fubar'
LRN
include program-card-package/st-4.txt
OPE
start
5.3 start 6.7 start
3.5 start 4.9 start
8.3 start 6.1 start
7.3 start 8.2 start
start
fubar
test $? -eq 0 || no_result

cat > test.ok << 'fubar'
              5.3
              6.7
              3.5
              4.9
              8.3
              6.1
              7.3
              8.2
               4. ◊
             24.4 ◊
           162.52 ◊
             25.9 ◊
           163.15 ◊
           173.35 ◊
fubar
test $? -eq 0 || no_result

test_calculator $vpath test.in > test.out
test $? -eq 0 || fail

diff test.ok test.out
test $? -eq 0 || fail

#
# Only definite negatives are possible.
# The functionality exercised by this test appears to work,
# no other guarantees are made.
#
pass

# vim: set ts=8 sw=4 et :
