#!/bin/sh
#
# canola - canon canola 1614p emulator
# Copyright (C) 2011, 2012 Peter Miller
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License, version 3, as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program. If not, see <http://www.gnu.org/licenses/>.
#

TEST_SUBJECT="ms-03 tan(x)"
. test_prelude

cat > test.in << 'fubar'
LRN
FJ 1
    ent
    suj $203
    print
    uj 1
include program-card-package/ms-03.txt
OPE
start
30
start
45
start
60
start
fubar
test $? -eq 0 || no_result

# tan(30) ~= 0.57735026918962576451
# tan(45)  = 1.00000000000000000000
# tan(60) ~= 1.73205080756887729352
cat > test.ok << 'fubar'
              30.
0.577350269189636 ◊
              45.
               1. ◊
              60.
1.732050807568846 ◊
fubar
test $? -eq 0 || no_result

test_calculator $vpath test.in > test.out
test $? -eq 0 || fail

diff test.ok test.out
test $? -eq 0 || fail

#
# Only definite negatives are possible.
# The functionality exercised by this test appears to work,
# no other guarantees are made.
#
pass

# vim: set ts=8 sw=4 et :
