#!/bin/sh
#
# canola - canon canola 1614p emulator
# Copyright (C) 2011, 2012 Peter Miller
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License, version 3, as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program. If not, see <http://www.gnu.org/licenses/>.
#

TEST_SUBJECT="ms-04 asin"
. test_prelude

cat > test.in << 'fubar'
LRN
fj 1
    ent
    suj $204
    print
    uj 1
include program-card-package/ms-04.txt
OPE
start
0.3 start
0.5 start
0.7 start
fubar
test $? -eq 0 || no_result

# asin(0.3) ~= 17.457603123722092290246045792444941821
# asin(0.5)  = 30.0
# asin(0.7) ~= 44.427004000805703726744612245859981367
cat > test.ok << 'fubar'
              0.3
17.45760312372716 ◊
              0.5
30.00000000005974 ◊
              0.7
 44.4270040008182 ◊
fubar
test $? -eq 0 || no_result

test_calculator $vpath test.in > test.out
test $? -eq 0 || fail

diff test.ok test.out
test $? -eq 0 || fail

#
# Only definite negatives are possible.
# The functionality exercised by this test appears to work,
# no other guarantees are made.
#
pass

# vim: set ts=8 sw=4 et :
