#!/bin/sh
#
# canola - canon canola 1614p emulator
# Copyright (C) 2011, 2012 Peter Miller
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License, version 3, as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program. If not, see <http://www.gnu.org/licenses/>.
#

TEST_SUBJECT="ms-5: acos(x)"
. test_prelude

cat > test.in << 'fubar'
LRN
fj 1
    ent
    suj $205
    print
    uj 1
include program-card-package/ms-05.txt
OPE
start
0.3 start
0.5 start
0.7 start
fubar
test $? -eq 0 || no_result

# acos(0.3) ~= 72.542396876277907709753954207555
# acos(0.5)  = 60.0
# acos(0.7) ~= 45.572995999194296273255387754140
cat > test.ok << 'fubar'
              0.3
72.54239687627284 ◊
              0.5
59.99999999994026 ◊
              0.7
 45.5729959991818 ◊
fubar
test $? -eq 0 || no_result

test_calculator $vpath test.in > test.out
test $? -eq 0 || fail

diff test.ok test.out
test $? -eq 0 || fail

#
# Only definite negatives are possible.
# The functionality exercised by this test appears to work,
# no other guarantees are made.
#
pass

# vim: set ts=8 sw=4 et :
