#!/bin/sh
#
# canola - canon canola 1614p emulator
# Copyright (C) 2011, 2012 Peter Miller
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License, version 3, as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program. If not, see <http://www.gnu.org/licenses/>.
#

TEST_SUBJECT="ms-06 atan"
. test_prelude

cat > test.in << 'fubar'
LRN
fj 1
    ent
    suj $206
    print
    uj 1
include program-card-package/ms-06.txt
OPE
start
0.7 start
0.9 start
1.1 start
1.3 start
fubar
test $? -eq 0 || no_result

# atan(0.7) ~= 34.99202019855866210692289103045806653141293295684257
# atan(0.9) ~= 41.98721249581666005488194578500509527949474687661705
# atan(1.1) ~= 47.72631099390626549641781472082356374123079489648721
# atan(1.3) ~= 52.43140797117250741086147659310400172165091629942705
cat > test.ok << 'fubar'
              0.7
34.99202019856942 ◊
              0.9
41.98721249582855 ◊
              1.1
47.72631099391986 ◊
              1.3
52.43140797118728 ◊
fubar
test $? -eq 0 || no_result

test_calculator $vpath test.in > test.out
test $? -eq 0 || fail

diff test.ok test.out
test $? -eq 0 || fail

#
# Only definite negatives are possible.
# The functionality exercised by this test appears to work,
# no other guarantees are made.
#
pass

# vim: set ts=8 sw=4 et :
