#!/bin/sh
#
# canola - canon canola 1614p emulator
# Copyright (C) 2011, 2012 Peter Miller
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License, version 3, as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program. If not, see <http://www.gnu.org/licenses/>.
#

TEST_SUBJECT="ms-08: a**x"
. test_prelude

cat > test.in << 'fubar'
LRN
fj 1
    ent
    sm14
    ent
    sm13
    suj $208
    print
    uj 1
include program-card-package/ms-08.txt
OPE
start

1.2 start
3.4 start

5.6 start
7.8 start
fubar
test $? -eq 0 || no_result

# to 20 places, the answers are
# 1.2**3.4 =      1.85872969197948116704
#                 1.858729691979253       <= what calc gets
# 5.6**7.8 = 685277.7177002850632981872
#            685277.7177002815            <= what calc gets
cat > test.ok << 'fubar'
              1.2
              3.4
1.858729691979253 ◊
              5.6
              7.8
685277.7177002815 ◊
fubar
test $? -eq 0 || no_result

test_calculator $vpath test.in > test.out
test $? -eq 0 || fail

diff test.ok test.out
test $? -eq 0 || fail

#
# Only definite negatives are possible.
# The functionality exercised by this test appears to work,
# no other guarantees are made.
#
pass

# vim: set ts=8 sw=4 et :
