#!/bin/sh
#
# canola - canon canola 1614p emulator
# Copyright (C) 2011, 2012 Peter Miller
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License, version 3, as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program. If not, see <http://www.gnu.org/licenses/>.
#

TEST_SUBJECT="ms-09: 10**x"
. test_prelude

cat > test.in << 'fubar'
LRN
fj 1
    ent
    suj $209
    print
    uj 1
include program-card-package/ms-09.txt
OPE
start
1.2 start
3.4 start
fubar
test $? -eq 0 || no_result

# The actual answers, to 20 places, are
# 10**1.2 =   15.84893192461113485202
# 10**3.4 = 2511.88643150958011108503
cat > test.ok << 'fubar'
              1.2
15.84893192461017 ◊
              3.4
2511.886431509175 ◊
fubar
test $? -eq 0 || no_result

test_calculator $vpath test.in > test.out
test $? -eq 0 || fail

diff test.ok test.out
test $? -eq 0 || fail

#
# Only definite negatives are possible.
# The functionality exercised by this test appears to work,
# no other guarantees are made.
#
pass

# vim: set ts=8 sw=4 et :
