#!/bin/sh
#
# canola - canon canola 1614p emulator
# Copyright (C) 2011, 2012 Peter Miller
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License, version 3, as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program. If not, see <http://www.gnu.org/licenses/>.
#

TEST_SUBJECT="ms 10: log10(x)"
. test_prelude

cat > test.in << 'fubar'
LRN
fj 1
    ent
    suj $210
    print
    uj 1
include program-card-package/ms-10.txt
OPE
start

11 start
0.12 start
1234567 start
fubar
test $? -eq 0 || no_result

# To 40 decimal places, the correct answers are...
# log10(11) =      1.0413926851582250407492915642504330925747
# log10(0.12) =   -0.9208187539523751722766910769612508427131
# log10(1234567) = 6.0915146640862627436197214414123921794408
cat > test.ok << 'fubar'
              11.
1.041392685158604 ◊
             0.12
0.920818753952281-◊
         1234567.
 6.09151466408645 ◊
fubar
test $? -eq 0 || no_result

test_calculator $vpath test.in > test.out
test $? -eq 0 || fail

diff test.ok test.out
test $? -eq 0 || fail

#
# Only definite negatives are possible.
# The functionality exercised by this test appears to work,
# no other guarantees are made.
#
pass

# vim: set ts=8 sw=4 et :
