#!/bin/sh
#
# canola - canon canola 1614p emulator
# Copyright (C) 2011, 2012 Peter Miller
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License, version 3, as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program. If not, see <http://www.gnu.org/licenses/>.
#

TEST_SUBJECT="ms-11: exp(x)"
. test_prelude

cat > test.in << 'fubar'
LRN
fj 1
    ent
    suj $211
    print
    uj 1
include program-card-package/ms-11.txt
OPE
start

0.01 start
0.1 start
10.2 start
15.3 start
fubar
test $? -eq 0 || no_result

# exp(0.01) =       1.0100501670841680575421654569028600338074
# exp(0.1) =        1.1051709180756476248117078264902466682245
# exp(10.2) =   26903.1860742975609989588984543248228363643585
# exp(15.3) = 4412711.8923504420618607291249413864615549413176
cat > test.ok << 'fubar'
             0.01
1.010050167084149 ◊
              0.1
1.105170918075626 ◊
             10.2
26903.18607429551 ◊
             15.3
 4412711.89235014 ◊
fubar
test $? -eq 0 || no_result

test_calculator $vpath test.in > test.out
test $? -eq 0 || fail

diff test.ok test.out
test $? -eq 0 || fail

#
# Only definite negatives are possible.
# The functionality exercised by this test appears to work,
# no other guarantees are made.
#
pass

# vim: set ts=8 sw=4 et :
