#!/bin/sh
#
# canola - canon canola 1614p emulator
# Copyright (C) 2011, 2012 Peter Miller
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License, version 3, as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program. If not, see <http://www.gnu.org/licenses/>.
#

TEST_SUBJECT="ms 12: ln(x)"
. test_prelude

cat > test.in << 'fubar'
LRN
fj 1
    ent
    suj $212
    print
    uj 1
include program-card-package/ms-12.txt
OPE
start

200   start
 20   start
  2   start
 0.2  start
 0.02 start
fubar
test $? -eq 0 || no_result

# ln(200) =   5.2983173665480366774532150308269049832777
# ln(20) =    2.9957322735539909934352235761425407756766
# ln(2) =     0.6931471805599453094172321214581765680755
# ln(0.2) =  -1.6094379124341003746007593332261876395256
# ln(0.02) = -3.9120230054281460586187507879105518471267
cat > test.ok << 'fubar'
             200.
5.298317366547936 ◊
              20.
2.995732273554208 ◊
               2.
 0.69314718056304 ◊
              0.2
1.609437912433856-◊
             0.02
3.912023005426944-◊
fubar
test $? -eq 0 || no_result

test_calculator $vpath test.in > test.out
test $? -eq 0 || fail

diff test.ok test.out
test $? -eq 0 || fail

#
# Only definite negatives are possible.
# The functionality exercised by this test appears to work,
# no other guarantees are made.
#
pass

# vim: set ts=8 sw=4 et :
