#!/bin/sh
#
# canola - canon canola 1614p emulator
# Copyright (C) 2011, 2012 Peter Miller
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License, version 3, as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program. If not, see <http://www.gnu.org/licenses/>.
#

TEST_SUBJECT="ms 13: sinh(x)"
. test_prelude

cat > test.in << 'fubar'
LRN
fj 1
    ent
    suj $213
    print
    uj 1
include program-card-package/ms-13.txt
OPE start

2 cs start
1 cs start
0 start
1.2 start
3.4 start
fubar
test $? -eq 0 || no_result

# sinh(-2) =>  -3.626860407847018 7676682139828012617048863
# sinh(-1) =>  -1.175201193643801 4568823818505956008151557
# sinh(0) =>    0.000000000000000 0000000000000000000000000
# sinh(1.2) =>  1.509461355412172 6964428949112592109300512
# sinh(3.4) => 14.96536338871834 36343401764511296270501171
cat > test.ok << 'fubar'
               2.-
3.626860407847015-◊
               1.-
1.175201193643797-◊
               0.
               0. ◊
              1.2
1.509461355412169 ◊
              3.4
14.96536338871828 ◊
fubar
test $? -eq 0 || no_result

test_calculator $vpath test.in > test.out
test $? -eq 0 || fail

diff test.ok test.out
test $? -eq 0 || fail

#
# Only definite negatives are possible.
# The functionality exercised by this test appears to work,
# no other guarantees are made.
#
pass

# vim: set ts=8 sw=4 et :
