#!/bin/sh
#
# canola - canon canola 1614p emulator
# Copyright (C) 2011, 2012 Peter Miller
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License, version 3, as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program. If not, see <http://www.gnu.org/licenses/>.
#

TEST_SUBJECT="ms-14: cosh(x)"
. test_prelude

cat > test.in << 'fubar'
LRN
fj 1
    ent
    suj $214
    print
    uj 1
include program-card-package/ms-14.txt
OPE start

2 cs start
1 cs start
0 start
1.2 start
3.4 start
fubar
test $? -eq 0 || no_result

# cosh(-2) =    3.762195691083631 4595622134777737461082940
# cosh(-1) =>   1.543080634815243 7784779056207570616826015
# cosh(0) =>    1.000000000000000 0000000000000000000000000
# cosh(1.2) =>  1.810655567324374 7930878725183424333900224
# cosh(3.4) => 14.99873665867866 97138225765826005750161100
cat > test.ok << 'fubar'
               2.-
3.762195691083625 ◊
               1.-
1.543080634815239 ◊
               0.
               1. ◊
              1.2
1.810655567324373 ◊
              3.4
14.99873665867859 ◊
fubar
test $? -eq 0 || no_result

test_calculator $vpath test.in > test.out
test $? -eq 0 || fail

diff test.ok test.out
test $? -eq 0 || fail

#
# Only definite negatives are possible.
# The functionality exercised by this test appears to work,
# no other guarantees are made.
#
pass

# vim: set ts=8 sw=4 et :
