#!/bin/sh
#
# canola - canon canola 1614p emulator
# Copyright (C) 2011, 2012 Peter Miller
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License, version 3, as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program. If not, see <http://www.gnu.org/licenses/>.
#

TEST_SUBJECT="ms 15: tanh"
. test_prelude

cat > test.in << 'fubar'
LRN
fj 1
    ent
    suj $301
    print
    uj 1
include program-card-package/ms-15.txt
OPE
start

2 cs start
1 cs start
0 start
1.2 start
3.4 start
fubar
test $? -eq 0 || no_result

# tanh(-2) => -0.9640275800758168839464137241009231502550
# tanh(-1) => -0.7615941559557648881194582826047935904128
# tanh(0) =>   0.0000000000000000000000000000000000000000
# tanh(1.2) => 0.8336546070121552586740951218123143782196
# tanh(3.4) => 0.9977749279342793571927567812156382879297
cat > test.ok << 'fubar'
               2.-
0.964027580075817-◊
               1.-
0.761594155955762-◊
               0.
               0. ◊
              1.2
0.833654607012154 ◊
              3.4
 0.99777492793428 ◊
fubar
test $? -eq 0 || no_result

test_calculator $vpath test.in > test.out
test $? -eq 0 || fail

diff test.ok test.out
test $? -eq 0 || fail

#
# Only definite negatives are possible.
# The functionality exercised by this test appears to work,
# no other guarantees are made.
#
pass

# vim: set ts=8 sw=4 et :
