#!/bin/sh
#
# canola - canon canola 1614p emulator
# Copyright (C) 2011, 2012 Peter Miller
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License, version 3, as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program. If not, see <http://www.gnu.org/licenses/>.
#

TEST_SUBJECT="ms 16: asinh"
. test_prelude

cat > test.in << 'fubar'
LRN
fj 1
    ent
    suj $302
    print
    uj 1
include program-card-package/ms-16.txt
OPE
start

0.9 cs start
0.4 cs start
0 start
0.2 start
0.6 start
fubar
test $? -eq 0 || no_result

# asinh(-0.9) => -0.808866935652782 4625093501673816060429970
# asinh(-0.4) => -0.390035319770715 2760801633798836296449597
# asinh(0) =>     0.000000000000000 0000000000000000000000000
# asinh(0.2) =>   0.198690110349241 4064746369159502069682213
# asinh(0.6) =>   0.568824898732247 5300986883368613883564994
cat > test.ok << 'fubar'
              0.9-
0.808866935654784-◊
              0.4-
0.390035319771776-◊
               0.
               0. ◊
              0.2
0.198690110349728 ◊
              0.6
0.568824898737504 ◊
fubar
test $? -eq 0 || no_result

test_calculator $vpath test.in > test.out
test $? -eq 0 || fail

diff test.ok test.out
test $? -eq 0 || fail

#
# Only definite negatives are possible.
# The functionality exercised by this test appears to work,
# no other guarantees are made.
#
pass

# vim: set ts=8 sw=4 et :
