#!/bin/sh
#
# canola - canon canola 1614p emulator
# Copyright (C) 2011, 2012 Peter Miller
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License, version 3, as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program. If not, see <http://www.gnu.org/licenses/>.
#

TEST_SUBJECT="ms 16: acosh"
. test_prelude

cat > test.in << 'fubar'
LRN
fj 1
    ent
    suj $303
    print
    uj 1
include program-card-package/ms-17.txt
OPE
start

1 start
1.2 start
1.4 start
2.1 start
fubar
test $? -eq 0 || no_result

# acosh(1.0) => 0.000000000000000
# acosh(1.2) => 0.622362503714778 6678068511585791305904655
# acosh(1.4) => 0.867014726490565 1039505202695014673754645
# acosh(2.1) => 1.372859144242579 8404782821543142625001629
cat > test.ok << 'fubar'
               1.
               0. ◊
              1.2
0.622362503718944 ◊
              1.4
 0.86701472649216 ◊
              2.1
 1.37285914424912 ◊
fubar
test $? -eq 0 || no_result

test_calculator $vpath test.in > test.out
test $? -eq 0 || fail

diff test.ok test.out
test $? -eq 0 || fail

#
# Only definite negatives are possible.
# The functionality exercised by this test appears to work,
# no other guarantees are made.
#
pass

# vim: set ts=8 sw=4 et :
