#!/bin/sh
#
# canola - canon canola 1614p emulator
# Copyright (C) 2011, 2012 Peter Miller
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License, version 3, as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program. If not, see <http://www.gnu.org/licenses/>.
#

TEST_SUBJECT="ms-18 atanh(x)"
. test_prelude

cat > test.in << 'fubar'
LRN
fj 1
    ent
    suj $304
    print
    uj 1
include program-card-package/ms-18.txt
OPE start

0.2 start
0.5 start
0.7 start
0.9 start
0.95 start
fubar
test $? -eq 0 || no_result

# atanh(0.2) =>  0.202732554054082 1909890065577321745682860
# atanh(0.5) =>  0.549306144334054 8456976226184612628523237
# atanh(0.7) =>  0.867300527694053 1944271446904753004154704
# atanh(0.9) =>  1.472219489583220 2300045137159439267686187
# atanh(0.95) => 1.831780823064823 2137243663392439221547264
cat > test.ok << 'fubar'
              0.2
 0.20273255405456 ◊
              0.5
0.549306144339584 ◊
              0.7
0.867300527695712 ◊
              0.9
1.472219489583536 ◊
             0.95
1.831780823064816 ◊
fubar
test $? -eq 0 || no_result

test_calculator $vpath test.in > test.out
test $? -eq 0 || fail

diff test.ok test.out
test $? -eq 0 || fail

#
# Only definite negatives are possible.
# The functionality exercised by this test appears to work,
# no other guarantees are made.
#
pass

# vim: set ts=8 sw=4 et :
