#!/bin/sh
#
# canola - canon canola 1614p emulator
# Copyright (C) 2011, 2012 Peter Miller
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License, version 3, as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program. If not, see <http://www.gnu.org/licenses/>.
#

TEST_SUBJECT="ms-20 r2p"
. test_prelude

cat > test.in << 'fubar'
LRN
fj 1
    ent
    sm14
    ent
    sm13
    suj $306
    rm14
    print
    rm13
    print
    uj 1
include program-card-package/ms-20.txt
OPE start

3 start
4 start
8 sc start
7 start
fubar
test $? -eq 0 || no_result

cat > test.ok << 'fubar'
               3.
               4.
               5. ◊
53.13010235416731 ◊
               8.-
               7.
10.63014581273464 ◊
138.8140748342786 ◊
fubar
test $? -eq 0 || no_result

test_calculator $vpath test.in > test.out
test $? -eq 0 || fail

diff test.ok test.out
test $? -eq 0 || fail

#
# Only definite negatives are possible.
# The functionality exercised by this test appears to work,
# no other guarantees are made.
#
pass

# vim: set ts=8 sw=4 et :
