#!/bin/sh
#
# canola - canon canola 1614p emulator
# Copyright (C) 2011 Peter Miller
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License, version 3, as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program. If not, see <http://www.gnu.org/licenses/>.
#

TEST_SUBJECT="ms25 factorial"
. test_prelude

cat > test.in << 'fubar'
LRN
fj 1
    ent
    suj $311
    print
    uj 1
include program-card-package/ms-25.txt
OPE start

1 start
2 start
3 start
4 start
5 start
6 start
7 start
fubar
test $? -eq 0 || no_result

cat > test.ok << 'fubar'
               1.
               1. ◊
               2.
               2. ◊
               3.
               6. ◊
               4.
              24. ◊
               5.
             120. ◊
               6.
             720. ◊
               7.
            5040. ◊
fubar
test $? -eq 0 || no_result

test_calculator $vpath test.in > test.out
test $? -eq 0 || fail

diff test.ok test.out
test $? -eq 0 || fail

#
# Only definite negatives are possible.
# The functionality exercised by this test appears to work,
# no other guarantees are made.
#
pass

# vim: set ts=8 sw=4 et :
