#!/bin/sh
#
# canola - canon canola 1614p emulator
# Copyright (C) 2012 Peter Miller
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License, version 3, as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program. If not, see <http://www.gnu.org/licenses/>.
#

TEST_SUBJECT="canola-card-scanner"
. test_prelude

cat > test.png.uue << 'fubar'
begin 664 test.png
MB5!.1PT*&@H````-24A$4@``!$X```%3"``````")Q:R`````7-21T(`KLX<
MZ0````EP2%ES```+$P``"Q,!`)J<&`````=T24U%!]P!`1<,(=5!TH8```@2
M241!5'C:[=W9DJ,X$`50TN'__^6<E^F(64J4$;(VSGDL!R"T7"2W6QP'````
M````````````````````````````````````````````````````````````
M`````".E*@":>*D"0)P`X@00)P#B!!`G@#@!Q`F`.`'$"2!.`,0)($X`<0*(
M$_BW['B=W.F&.C91EOZ>^:7JB8RKYXVVC1B-.T1<O)N,G\N0QQ']NG&TNI_I
MSW;MH)ICJILAFI4@.QW3M.E."I#QV7!X-ZSXZOMN=+;(JLMGAZ*M_91[2B7D
M(YH[LND@N;?8:3HGS(EGF(($+MKINY-LF@)VO133F\[!Q(D40/R9G0#BI$OR
MA_R';>9A@V<G:7T"9B?MTH1E:SRU^2-ZR,?S%M^=`(T>`>+$^EAYV6*Q@W"R
M-)JK:6ZUJ3@Q;06S$Y8,)\N7C9\;XL0<6'EIU`KB!(.=1MX3=*,I.Z4O&8X_
M_Y<]BI_4G*WFH`X])([23@R1US<%BHI-'9H/JD(9HK($8=@`_5CL`.($$">`
M.`$0)X`X`<0)($X`Q`D@3@!Q`B!.`'$"B!-`G`"($T"<`.($$"<`-[Q5`7`N
M/]QY^MWRBL?5[;A/CJG8P#RO%Z!]K3<L04V-MBWV^!*TK;B_]UF/D1W[_*`8
M/!S+6_#G)R>;=;&3_VC]BFH<7G3V$@_H/`VN[;L3<G@7SZ;7R2^$0BXQFN]'
MYLU"B!-VFP%X-^$PX@1D<Z.)DSAAE4479B>`.`&S',0)R-2&!W[\18PX`<Q.
MMN<?/-6;.-'P($YV6/E9_N*9-^QV7T.'0!K_L$]POJ8KD560WNPA,=>=[O&K
MV#`>+.ZTPTH=.V?L#Y5G2ZL-CV:U[0X```````````````````````````#N
M6'ZGU6A;%3^?+B.O7BC;%J[M_4S2[:X5+B-+QY1O]?23&-P,&8.KM&TMG)6@
M6VW?O,KK&_W\?W_,NN"U+?;@1U^>?M+CQ0%9+$?FD:-?79!].FGVN\[-*O7*
M<X&6U;?Z_>H)O6.E]P:)$^0]3X@3;W.;O+(UD,PT.^%27.3$99/TXL1,=I/'
MH@;B2W%BX@L6.Z82P/:+'9A9;'8=<0*($UB=];TX`<0)'K6:1IP`9B>C\]A/
M6:80PSN"BEG$>^I)7N@P[6XEK]]J^9CHM!U,K^L<<63DI/]O*3H-!?$(````
M``````````````````````#`2C*??/E=&_4YM[G$K4;5K46Q96/B7A>/+D'C
MLA5WF.]VI[TNU/@Z67&R\G;^&3E3MWK552X/?]#K!G>J.=N=;:Z&\!9`:N>I
M($Y@K:G@OG%BDHO>H!G,3K!`4G'B!,PGQ`F/'1660:?SDFA4S>+$LP#,3JQ4
M0?\U.]$C09P`OCLQ652QF)T`](P37T:H,$P"S4YTB":)%[\<8QG4L5_-4]GO
MYZR9]?!2Q61M]<3/9XOL4^PX,I;K-]'T&)T:````````````````````````
M``"`_QB\=6V6"U#:5;AJG^0L'W)]]^*,L_-MI7)3ZFQ7.QG]NF(.;M0)>M7-
MZGYWZF!7JS#/*_?B7>?9)]<;,:<8Y4=\_9@[I2O^O:*RHTOU9(]F^.5T&8.[
MU;U(?1TC1U+/<9E>G76YQK/FF%R[GRS2-'/RVBY@HS@Q;8!'QLDWEG;>9#:W
MT<MYS$X`<>()A/9AV3BQV$'\;;&T?6DJH,W8?HVZ\$=GRW&7_O68YP1K##Q/
M#"SO,^<EM_KUW(N=^'9?N=%;=5J8,$XPF>:(#1Y0,_SN)'5`V.%_@?@J%FW.
M1HN=J/@$L-AAO45]HV.BU\6I;^M[W^!,VUKG>TE<W>\D2KMF5.XOD0_JYMEV
M=YM>-9>""```````````````````````````@"=JMS]O'G%]O]\LEZ&X2W%>
M+_?)/M9G9\N30S;:>[KZ?GYL[?+9\CB.R&A:[E(#1</-P<^*G*5;+18@KU=!
M]NIMMR_T;A=,V?0%3UEJR.PYR";=#GV"0*NLGFQ6I7GCTZM%+C[QBL^A(XMI
MFU??@[!0CV_YVJ[:MR+FP"J$VA%=?G[&;K<Z(DXZ%YV!"][L=)WQ/2B+U^D9
M&OU>8#S-[.1Z\]:_3C27Z8Z;/X^VGW%&VWJ+K7OJRV@"$W)Q@GZN+L7)N+4=
M6DG0B!,,&\3)1!U5%\?<3)R`B!(GL.]"*X:70)S(]T?4<@QLA;97:/N#O:@^
M6]>?VHN3>9Y:SP[;G&18[/80LMA9H%K-6,PU:5:O+U5DKM/I?E(,W.B/2_2W
M]]1U^XTU:(,"YU[#HOY^HGBVX](G4S]"(D]W:8D^';?75AG2'@``````````
M````````````````8'5-=YK-EN?+8]I]<#?;>IKO=)(']I!H/,@NGK!\3,TG
M3:/AMP)<*\$7"MWZ15O?OY^FQ2Z7.H^>UXE"EF3;!OIQ,_WI7C6RX'MV3`L\
MP"8J=7[XMS:I-KD%XR3GN)A4FWM$#'Y3<?:[]D1)\]++*T,C-QN>XG'6NERH
M9<3)NE/\D<_?^;MX#JSE['HGOCMY7#3D0@O@[PZ8W.Q.S>K$R:W.E,L/:=:;
MART16^($$"?`YG&RV`S</P3S20_1&\Q.&!;&B),'\M0!<0*($T"<;+QNB"5O
MZK$_Y9ZDY6+?`6%V<L>U'ZO%8^K@,&#FC^9XZHU?[MYC2Y=Q9)3*%M=/-G-5
M1Z\F%4$```````````````````````````````````````````!T\!>X1/`&
0VTLJ"@````!)14Y$KD)@@@``
`
end
fubar
test $? -eq 0 || no_result
uudecode test.png.uue
test $? -eq 0 || no_result

cat > test.ok << 'fubar'
SFJ $614
    /
    360
    *
    SM8
    1
    FLOOR 0
    -=
    RM8
    +=
    *
    4
    +=
    MJ $614
FJ $613
    SM8
    1
    -=
    MJ $612
    2
    -=
    MJ $611
    4
    CS
    M8
FJ $612
    RM8
    *
    +=
    SM7
    *
fubar
test $? -eq 0 || no_result

canola-card-scanner test.png test.txt
test $? -eq 0 || fail

diff test.ok test.txt
test $? -eq 0 || fail

#
# Only definite negatives are possible.
# The functionality exercised by this test appears to work,
# no other guarantees are made.
#
pass

# vim: set ts=8 sw=4 et :
