#!/bin/sh
#
# canola - canon canola 1614p emulator
# Copyright (C) 2012 Peter Miller
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License, version 3, as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program. If not, see <http://www.gnu.org/licenses/>.
#

TEST_SUBJECT="canola-card-scanner"
. test_prelude

cat > test.png.uue << 'fubar'
begin 664 test.png
MB5!.1PT*&@H````-24A$4@``!$X```%3"``````")Q:R`````7-21T(`KLX<
MZ0````)B2T=$``"JC2,R````"7!(67,```L3```+$P$`FIP8````!W1)344'
MW`$!%R<TSNS+!````;I)1$%4>-KMW$$.`!`,`,'R_S_S!B71,'/OQ6%#(HT`
M````````````````````````````````````````````````````````````
M````````````````````````````````````````````````````````````
M````````````````````````````````````````````````````````````
M````````````````````````````````````````````````````````````
M````````````^%E;GABIJ5/C0%D]DX,-PY&#G`#("5`Q)]XZ@-L)(">`G`!R
M`B`G@)P`<@(@)X"<`*_DQ-]8P.T$J)63S84E]IT`````````````````````
M````````````````````````````````````````````````````````````
M````````````````````````````````````````````````````````````
M````````````````````````````````````````````````````````````
:````P`T30+H('C_I1`,`````245.1*Y"8((`
`
end
fubar
test $? -eq 0 || no_result

uudecode test.png.uue
test $? -eq 0 || no_result

cat > test.ok << 'fubar'
    $008
    $008
fubar
test $? -eq 0 || no_result

canola-card-scanner test.png test.txt
test $? -eq 0 || fail

diff test.ok test.txt
test $? -eq 0 || fail

#
# Only definite negatives are possible.
# The functionality exercised by this test appears to work,
# no other guarantees are made.
#
pass

# vim: set ts=8 sw=4 et :
