#!/bin/sh
#
# canola - canon canola 1614p emulator
# Copyright (C) 2012 Peter Miller
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License, version 3, as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program. If not, see <http://www.gnu.org/licenses/>.
#

TEST_SUBJECT="canola-card-scanner"
. test_prelude

cat > test.png.uue << 'fubar'
begin 664 test.png
MB5!.1PT*&@H````-24A$4@``!$X```%3"``````")Q:R`````7-21T(`KLX<
MZ0````)B2T=$`/^'C\R_````"7!(67,```L3```+$P$`FIP8````!W1)344'
MW`$!%R,%^UX..@```F5)1$%4>-KMW4$.A2`,0,%JO/^5ZP'4!=!H8V;V;%B\
ME/\-1```````````````````````````````````````````````````````
M``````````````#PI;0%0(G=%@!R`L@)("<`<@+("2`G@)P`R`D@)X"<`,@)
M(">`G`!R`E"?$Q>D`+>.\249$9N=`U:G$\,)4'78`9`30$X`.0'D!$!.`#D!
MY`1`3@`Y`>0$D!,`.0':YL3]!,"5"P<`AQU`3@`Y`9`30$X`.0'D!$!.`#D!
MY`1`3@`Y`>0$D!,`.0'D!)`30$X`Y`20$T!.`.0$D!-`3@`Y`9`30$X`.0'D
M!$!.`#D!Y`1`3@`Y`>0$D!,`.0'D!```````````````````````````````
M``````````````````````````````````````````````````!XT3:\(J=6
M52T'VMIG<K`@;3G("8"<`!USXJP#F$X`.0'D!)`3`#D!Y`20$P`Y`>0$^$M.
M?!L+F$Z`7CE9O+#$?2<``````````````````````````````(T-7RJ?4ZNJ
ME@-]C3Z,X<$NH"@G`'("],J)]_\`TPD@)X"<`'+RS!_%0.ET(BJ`PPX@)\#/
M<N*[$Z`H)WXU`1QV`(<=````````````````````````````````````````
M````````````````````````````````````````````````````````````
M`````````````````````````````````````````````````````.Z=I7@7
1QI_M<0``````245.1*Y"8((`
`
end
fubar
test $? -eq 0 || no_result

uudecode test.png.uue
test $? -eq 0 || no_result

cat > test.ok << 'fubar'
SFJ $108
fubar
test $? -eq 0 || no_result

canola-card-scanner test.png test.txt
test $? -eq 0 || fail

diff test.ok test.txt
test $? -eq 0 || fail

#
# Only definite negatives are possible.
# The functionality exercised by this test appears to work,
# no other guarantees are made.
#
pass

# vim: set ts=8 sw=4 et :
