#!/bin/sh
#
# canola - canon canola 1614p emulator
# Copyright (C) 2012 Peter Miller
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License, version 3, as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program. If not, see <http://www.gnu.org/licenses/>.
#

TEST_SUBJECT="number_z::build"
. test_prelude
# If number_z::build is working then number_z::set is working, too.
# We use lots of digits to cause number_z::set to have to realloc,
# covering most of the 2nd code path through number_z::set.

cat > test.in << 'fubar'
123
123456789
1234567890123456789
fubar
test $? -eq 0 || no_result

cat > test.ok << 'fubar'
123
123456789
1234567890123456789
fubar
test $? -eq 0 || no_result

test_number_z < test.in > test.out
test $? -eq 0 || fail

diff test.ok test.out
test $? -eq 0 || fail

#
# Only definite negatives are possible.
# The functionality exercised by this test appears to work,
# no other guarantees are made.
#
pass

# vim: set ts=8 sw=4 et :
