#!/bin/sh
#
# canola - canon canola 1614p emulator
# Copyright (C) 2012 Peter Miller
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License, version 3, as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program. If not, see <http://www.gnu.org/licenses/>.
#

TEST_SUBJECT="number_z::operator-"
. test_prelude

cat > test.in << 'fubar'
100 - 1
123 - 4
4 - 123
fubar
test $? -eq 0 || no_result

# the third case is basically undefined territory,
# but we need to check that it actually terminates.
#
# the "1" is because 4 - 3 == 1, and the rest of the rhs is ignored
cat > test.ok << 'fubar'
99
119
1
fubar
test $? -eq 0 || no_result

test_number_z < test.in > test.out
test $? -eq 0 || fail

diff test.ok test.out
test $? -eq 0 || fail

#
# Only definite negatives are possible.
# The functionality exercised by this test appears to work,
# no other guarantees are made.
#
pass

# vim: set ts=8 sw=4 et :
