#!/bin/sh
#
# canola - canon canola 1614p emulator
# Copyright (C) 2012 Peter Miller
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License, version 3, as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program. If not, see <http://www.gnu.org/licenses/>.
#

TEST_SUBJECT="number_z::operator*"
. test_prelude

cat > test.in << 'fubar'
0 * 999
1 * 8765
2 * 1234
21 * 1234
210 * 1234
2109 * 1234
fubar
test $? -eq 0 || no_result

cat > test.ok << 'fubar'
0
8765
2468
25914
259140
2602506
fubar
test $? -eq 0 || no_result

test_number_z < test.in > test.out
test $? -eq 0 || fail

diff test.ok test.out
test $? -eq 0 || fail

#
# Only definite negatives are possible.
# The functionality exercised by this test appears to work,
# no other guarantees are made.
#
pass

# vim: set ts=8 sw=4 et :
