#!/bin/sh
#
# canola - canon canola 1614p emulator
# Copyright (C) 2011, 2012 Peter Miller
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License, version 3, as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program. If not, see <http://www.gnu.org/licenses/>.
#

echo "<html>"
echo "<body>"
echo "<h1 align='center'>"
echo "<img src=\"../canola.128.png\" align=\"left\" alt=\"\" />"
echo "<img src=\"../canola.128.png\" align=\"right\" alt=\"\" />"
echo "<a href=\"../index.html\" >Canola</a> 1614P<br/>Program Card Package"
echo "</h1>"
echo "Included with each Canon Canola 1614P was a box of cards called the"
echo "Program Card Package.  The box contained several set of cards including"
echo "subroutines for several transcendental functions, programs to run those"
echo "functions and print the result, and some statistical programs.  This page"
echo "contains links to reconstructions of those sets of cards.  Each has been"
echo "tested to ensure it gives correct results (correct within the limits of"
echo "the 1614P, of course)."
echo "<br clear='all'>"

section=

for f in $*
do
    base=$( basename $f .txt )

    s=$( echo $base | sed 's|^\(..\).*|\1|' )
    if [ "$s" != "$section" ]
    then
        test -n "$section" && echo "</ul>"
        section="$s"
        case "$section" in
        gf)
            echo "<h2>General Function</h2>"
            ;;
        ms)
            echo "<h2>Mathematics Subroutines</h2>"
            ;;
        st)
            echo "<h2>Statistics</h2>"
            ;;
        te)
            echo "<h2>Tests</h2>"
            ;;
        *)
            echo "<h2>$section</h2>"
            ;;
        esac
        echo "<ul>"
    fi

    title=$( grep 'Title:' $f | sed 's|.*Title: *||' )

    # print the title
    test -z "$title" && title=$base
    echo "<li>$title<br/>"

    echo "<a href=\"$base.txt\" >assembler</a>",
    echo "<a href=\"$base.pdf\" >PDF</a>".
done

echo "</ul>"
echo "</body>"
echo "</html>"
exit 0
